Ubuntu

package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade: ErrorMessage: syntax error in triggers deferred file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline

Reported by Jim Chatman on 2011-06-17
100
This bug affects 3 people
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
Medium
Unassigned

Bug Description

Trying to fix crash, trying to update/upgrade/do anything that will fix the problem

ProblemType: Package
DistroRelease: Ubuntu 11.10
Package: libatkmm-1.6-1 2.22.5-1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Date: Fri Jun 17 11:56:43 2011
ErrorMessage: ErrorMessage: syntax error in triggers deferred file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
SourcePackage: atkmm1.6
Title: package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade: ErrorMessage: syntax error in triggers deferred file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
UpgradeStatus: Upgraded to oneiric on 2011-06-17 (0 days ago)

Jim Chatman (alienmindgame) wrote :
Scott Moser (smoser) wrote :

I'm seeing this also with cloud-initramfs-growroot

Changed in atkmm1.6 (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Scott Moser (smoser) wrote :

Installation of cloud-initramfs-growroot ends in:
Setting up cloud-initramfs-growroot (0.2ubuntu1) ...
dpkg: error processing cloud-initramfs-growroot (--configure):
 syntax error in triggers deferred file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.0-1-virtual
dpkg: error processing initramfs-tools (--configure):
 syntax error in triggers deferred file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
dpkg: cycle found while processing triggers:
 chain of packages whose triggers are or may be responsible:
  initramfs-tools -> initramfs-tools
 packages' pending triggers which are or may be unresolvable:
  initramfs-tools: update-initramfs
dpkg: error processing initramfs-tools (--configure):
 triggers looping, abandoned
Errors were encountered while processing:
 cloud-initramfs-growroot
 initramfs-tools
 initramfs-tools

The contents of Unincorp:
$ cat /var/lib/dpkg/triggers/Unincorp
update-initramfs cloud-initramfs-growroot:all

Scott Moser (smoser) wrote :

This is reported to be fix-released in dpkg 1.16.0.3ubuntu2 uploaded < 2 hours ago.
It should arrive in archive shortly.

affects: atkmm1.6 (Ubuntu) → dpkg (Ubuntu)
Changed in dpkg (Ubuntu):
status: Confirmed → Fix Released
Scott Moser (smoser) wrote :

I've just verified that this is fixed.

So, if I do an update then it should fix this?

On Fri, Jun 17, 2011 at 12:40 PM, Scott Moser <email address hidden> wrote:

> I've just verified that this is fixed.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/798803
>
> Title:
> package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>
> Status in “dpkg” package in Ubuntu:
> Fix Released
>
> Bug description:
> Trying to fix crash, trying to update/upgrade/do anything that will
> fix the problem
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.10
> Package: libatkmm-1.6-1 2.22.5-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Date: Fri Jun 17 11:56:43 2011
> ErrorMessage: ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> SourcePackage: atkmm1.6
> Title: package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> UpgradeStatus: Upgraded to oneiric on 2011-06-17 (0 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/798803/+subscriptions
>

--
*JC*

Colin Watson (cjwatson) wrote :

Getting yourself out of the situation may be difficult. If you have trouble installing the new dpkg due to the same problem, then here's a recipe, untested, but should work:

  sudo apt-get update
  apt-get download dpkg
  dpkg -x dpkg_1.16.0.3ubuntu2_*.deb tmp-dpkg
  sudo cp -a tmp-dpkg/usr/bin/dpkg /usr/bin/dpkg
  sudo dpkg --unpack dpkg_1.16.0.3ubuntu2_*.deb
  sudo dpkg --configure -a
  sudo apt-get -f install

Colin Watson (cjwatson) wrote :

(You can remove the tmp-dpkg directory created by that recipe afterwards.)

Jim Chatman (alienmindgame) wrote :

When I tried to update, I got this: Package installation failed
- installArchives() failed: dpkg: error: syntax error in triggers deferred
file `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
Error in function:
SystemError: E:Sub-process /usr/bin/dpkg returned an error code (2)
dpkg: error: syntax error in triggers deferred file
`/var/lib/dpkg/triggers/Unincorp' at character `:' midline

On Fri, Jun 17, 2011 at 12:46 PM, Jim Chatman <email address hidden>wrote:

> So, if I do an update then it should fix this?
>
>
> On Fri, Jun 17, 2011 at 12:40 PM, Scott Moser <email address hidden>wrote:
>
>> I've just verified that this is fixed.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/798803
>>
>> Title:
>> package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
>> ErrorMessage: syntax error in triggers deferred file
>> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>>
>> Status in “dpkg” package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> Trying to fix crash, trying to update/upgrade/do anything that will
>> fix the problem
>>
>> ProblemType: Package
>> DistroRelease: Ubuntu 11.10
>> Package: libatkmm-1.6-1 2.22.5-1
>> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
>> Uname: Linux 2.6.38-8-generic i686
>> Architecture: i386
>> Date: Fri Jun 17 11:56:43 2011
>> ErrorMessage: ErrorMessage: syntax error in triggers deferred file
>> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
>> (20101007)
>> SourcePackage: atkmm1.6
>> Title: package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
>> ErrorMessage: syntax error in triggers deferred file
>> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>> UpgradeStatus: Upgraded to oneiric on 2011-06-17 (0 days ago)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/798803/+subscriptions
>>
>
>
>
> --
> *JC*
>

--
*JC*

Jim Chatman (alienmindgame) wrote :

OK, that seems to have returned some functionality, but I still can't access
my folders and files. Is there a way to roll this back to 11.04?

On Fri, Jun 17, 2011 at 12:46 PM, Colin Watson <email address hidden>wrote:

> (You can remove the tmp-dpkg directory created by that recipe
> afterwards.)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/798803
>
> Title:
> package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>
> Status in “dpkg” package in Ubuntu:
> Fix Released
>
> Bug description:
> Trying to fix crash, trying to update/upgrade/do anything that will
> fix the problem
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.10
> Package: libatkmm-1.6-1 2.22.5-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Date: Fri Jun 17 11:56:43 2011
> ErrorMessage: ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> SourcePackage: atkmm1.6
> Title: package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> UpgradeStatus: Upgraded to oneiric on 2011-06-17 (0 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/798803/+subscriptions
>

--
*JC*

Scott Moser (smoser) wrote :

On Fri, 17 Jun 2011, Jim Chatman wrote:

> OK, that seems to have returned some functionality, but I still can't access
> my folders and files. Is there a way to roll this back to 11.04?

The bug that you opened here has been resolved/fixed. Sorry that it
affected your upgrade. I hope you were able to get yourself back to being
able to run dpkg.

You should probably open another bug against a relevant package to address
"Can't access my folders and files".

Regarding rolling back, there is not an easy way that I'm aware of.

Jim Chatman (alienmindgame) wrote :

You're right, there was no easy way to roll back. In the end, I downloaded
11.04 and started over. Nothing wrong with that. I appreciate the help
though, very much. Ubuntu is still the best thing around and I appreciate
the work that you folks do to bring it to us! Thank you!

Jim Chatman

On Fri, Jun 17, 2011 at 2:43 PM, Scott Moser <email address hidden> wrote:

> On Fri, 17 Jun 2011, Jim Chatman wrote:
>
> > OK, that seems to have returned some functionality, but I still can't
> access
> > my folders and files. Is there a way to roll this back to 11.04?
>
> The bug that you opened here has been resolved/fixed. Sorry that it
> affected your upgrade. I hope you were able to get yourself back to being
> able to run dpkg.
>
> You should probably open another bug against a relevant package to address
> "Can't access my folders and files".
>
> Regarding rolling back, there is not an easy way that I'm aware of.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/798803
>
> Title:
> package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
>
> Status in “dpkg” package in Ubuntu:
> Fix Released
>
> Bug description:
> Trying to fix crash, trying to update/upgrade/do anything that will
> fix the problem
>
> ProblemType: Package
> DistroRelease: Ubuntu 11.10
> Package: libatkmm-1.6-1 2.22.5-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Date: Fri Jun 17 11:56:43 2011
> ErrorMessage: ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386
> (20101007)
> SourcePackage: atkmm1.6
> Title: package libatkmm-1.6-1 2.22.5-1 failed to install/upgrade:
> ErrorMessage: syntax error in triggers deferred file
> `/var/lib/dpkg/triggers/Unincorp' at character `:' midline
> UpgradeStatus: Upgraded to oneiric on 2011-06-17 (0 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/798803/+subscriptions
>

--
*JC*

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers